curl --request POST \
--url https://api.qbank.cl/platform/v1/wallet-links/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"nonce": "9f2c41d2a887f3e4b219c6d2e8f1a5b7",
"signature": "8ba1f109551bd432803012645ac136ddd64dba72a0c9e0b1f5b1a2c3d4e5f60718293a4b5c6d7e8f90112233445566778899aabbccddeeff00112233445566771b"
}
'import requests
url = "https://api.qbank.cl/platform/v1/wallet-links/verify"
payload = {
"nonce": "9f2c41d2a887f3e4b219c6d2e8f1a5b7",
"signature": "8ba1f109551bd432803012645ac136ddd64dba72a0c9e0b1f5b1a2c3d4e5f60718293a4b5c6d7e8f90112233445566778899aabbccddeeff00112233445566771b"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
nonce: '9f2c41d2a887f3e4b219c6d2e8f1a5b7',
signature: '8ba1f109551bd432803012645ac136ddd64dba72a0c9e0b1f5b1a2c3d4e5f60718293a4b5c6d7e8f90112233445566778899aabbccddeeff00112233445566771b'
})
};
fetch('https://api.qbank.cl/platform/v1/wallet-links/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"link": {
"link_id": "d52e7b91-4c68-4f89-1b23-5d7e9f0a2c46",
"account_id": "ae8c1f02-3b45-4c67-9d12-8f0e5a6b7c8d",
"chain": "eth",
"address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"status": "linked",
"expires_at": "2026-08-21T14:13:11Z",
"created_at": "2026-08-21T14:03:11Z",
"proof_id": "c41d2a88-7f3e-4b21-9c6d-2e8f1a5b7d90",
"verified_at": "2026-08-21T14:05:41Z"
},
"proof": {
"proof_id": "c41d2a88-7f3e-4b21-9c6d-2e8f1a5b7d90",
"account_id": "ae8c1f02-3b45-4c67-9d12-8f0e5a6b7c8d",
"chain": "eth",
"address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"purpose": "wallet_link",
"envelope": "CBPay Signature Proof\nDomain: https://api.qbank.cl/platform\nPurpose: wallet_link\nWallet: 0x71C7656EC7ab88b098defB751B7401B5f6d8976F\nAccount: ae8c1f02-3b45-4c67-9d12-8f0e5a6b7c8d\nNonce: 9f2c41d2a887f3e4b219c6d2e8f1a5b7\nIssued: 2026-08-21T14:03:11Z\nExpires: 2026-08-21T14:13:11Z",
"nonce": "9f2c41d2a887f3e4b219c6d2e8f1a5b7",
"signature": "8ba1f109551bd432803012645ac136ddd64dba72a0c9e0b1f5b1a2c3d4e5f60718293a4b5c6d7e8f90112233445566778899aabbccddeeff00112233445566771b",
"message_hash": "5c35a1c2e9f84d1b7a06e3f2d49871c5b6a0e4d38f71c2b5963a84d0e1f2c3b4",
"proof_code": "Gc41d2a887f3e4b219c6d2e8f1a5b7d90a1b2c3d4e5f60718293a",
"status": "signed",
"issued_at": "2026-08-21T14:03:11Z",
"expires_at": "2026-08-21T14:13:11Z",
"signed_at": "2026-08-21T14:05:41Z",
"created_at": "2026-08-21T14:03:11Z",
"verify_url": "https://api.qbank.cl/platform/v1/public/signature-proofs/Gc41d2a887f3e4b219c6d2e8f1a5b7d90a1b2c3d4e5f60718293a"
}
}{
"error": "invalid_signature",
"message": "the signature is not valid"
}{
"error": "not_found",
"message": "resource not found"
}{
"error": "challenge_consumed",
"message": "the challenge was already used"
}{
"error": "challenge_expired",
"message": "the challenge expired; create a new one"
}{
"error": "signature_mismatch",
"message": "the signature does not match the challenge address"
}Verify a wallet link challenge
Verifies the signature of a wallet link challenge and links the external wallet (custody=client) to the account. Emits the wallet_linked webhook.
Authorizations
Session JWT (from register/login) or API key (pk_...).
X-API-Key: <token> is accepted as an alternative header.
Body
Response
Wallet linked.
External wallet (custody=client) linked to the account by signing a nonce challenge. The challenge expires 10 minutes after issuance; once the wallet is linked, the link stays active until it is revoked.
Show child attributes
Show child attributes
Cryptographic proof that a wallet signed a structured CBPay message (EIP-191 ETH/EVM, TIP-191 TRON). Publicly verifiable via verify_url. The envelope is the exact anti-phishing message the wallet signed (Domain / Purpose / Wallet / Nonce / Issued / Expires / Statement lines; the Account line only appears for wallet_link proofs). Proofs live 10 minutes (expires_at); a signed proof stays publicly verifiable after expiry.
Show child attributes
Show child attributes